/*  nanowasp, an emulator for the microbee 128k
 *  Copyright (C) 2000,2001  David G. Churchill <froods@alphalink.com.au>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 *  GUI Module
 *
 *
 *  Provides the graphical interface.
 *
 *  PORTME The majority of this module relies on Allegro
 *
 */


#include <stdio.h>
#include <stdlib.h>
#include <allegro.h>


#include "gui.h"



/* PORTME allegro
   include only the necessary drivers */
BEGIN_GFX_DRIVER_LIST
   GFX_DRIVER_VBEAF
   GFX_DRIVER_VGA
   GFX_DRIVER_VESA3
   GFX_DRIVER_VESA2L
   GFX_DRIVER_VESA2B
   GFX_DRIVER_VESA1
END_GFX_DRIVER_LIST


BEGIN_COLOR_DEPTH_LIST
   COLOR_DEPTH_8
END_COLOR_DEPTH_LIST



int gui_init(void)
{
   BITMAP *logo;
   RGB pal[256];


   /* init graphics mode */
   if (set_gfx_mode(GFX_AUTODETECT, VIDWIDTH, VIDHEIGHT, 0, 0) != 0)
   {
      fprintf(stderr, "gui_init: error setting video mode:\n   %s\n",
              allegro_error);
      return -1;
   }

   logo = load_bitmap("gui/nanowasp1.tga", pal);
   set_palette(pal);
   blit(logo, screen, 0, 0, 0, 0, logo->w, logo->h);
   destroy_bitmap(logo);

   return 0;
}


int gui_deinit(void)
{
   if (set_gfx_mode(GFX_TEXT, 80, 25, 0, 0) != 0)
   {
      fprintf(stderr, "gui_deinit: error returning to text mode!!\n");
      return -1;
   }


   return 0;
}


int gui_reset(void)
{
   return 0;
}

